<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>join &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>join
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">42 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">join</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public pure function join(str, sep, trm, left, right) result(string)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>  <span class="n">join</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">)</span> <span class="o">-</span> <span class="p">[</span><span class="n">M_strings</span><span class="p">:</span><span class="n">EDITING</span><span class="p">]</span> <span class="n">append</span> <span class="n">CHARACTER</span> <span class="n">variable</span> <span class="n">array</span> <span class="n">into</span> <span class="n">a</span> <span class="n">single</span> <span class="n">CHARACTER</span> <span class="n">variable</span> <span class="n">with</span> <span class="n">specified</span> <span class="n">separator</span>
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code>pure function join(str,sep,trm,left,right) result (string)

 character(len=*),intent(in)          :: str(:)
 character(len=*),intent(in),optional :: sep
 logical,intent(in),optional          :: trm
 character(len=*),intent(in),optional :: right
 character(len=*),intent(in),optional :: left
 character(len=:),allocatable         :: string
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>  <span class="n">JOIN</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">)</span> <span class="n">appends</span> <span class="n">the</span> <span class="n">elements</span> <span class="n">of</span> <span class="n">a</span> <span class="n">CHARACTER</span> <span class="n">array</span> <span class="n">into</span> <span class="n">a</span> <span class="n">single</span> <span class="n">CHARACTER</span> <span class="n">variable</span><span class="p">,</span>
  <span class="n">with</span> <span class="n">elements</span> <span class="mi">1</span> <span class="n">to</span> <span class="n">N</span> <span class="n">joined</span> <span class="n">from</span> <span class="n">left</span> <span class="n">to</span> <span class="n">right</span><span class="o">.</span>
  <span class="n">By</span> <span class="n">default</span> <span class="n">each</span> <span class="n">element</span> <span class="k">is</span> <span class="n">trimmed</span> <span class="n">of</span> <span class="n">trailing</span> <span class="n">spaces</span> <span class="ow">and</span> <span class="n">the</span> <span class="n">default</span> <span class="n">separator</span> <span class="k">is</span>
  <span class="n">a</span> <span class="nb nb-Type">null</span> <span class="n">string</span><span class="o">.</span>
</code></pre></div>

<h2>OPTIONS</h2>
<div class="codehilite"><pre><span></span><code>  <span class="n">STR</span><span class="p">(:)</span>  <span class="n">array</span> <span class="n">of</span> <span class="n">CHARACTER</span> <span class="n">variables</span> <span class="n">to</span> <span class="n">be</span> <span class="n">joined</span>
  <span class="n">SEP</span>     <span class="n">separator</span> <span class="n">string</span> <span class="n">to</span> <span class="n">place</span> <span class="n">between</span> <span class="n">each</span> <span class="n">variable</span><span class="o">.</span> <span class="n">defaults</span> <span class="n">to</span> <span class="n">a</span> <span class="nb nb-Type">null</span> <span class="n">string</span><span class="o">.</span>
  <span class="n">LEFT</span>    <span class="n">string</span> <span class="n">to</span> <span class="n">place</span> <span class="n">at</span> <span class="n">left</span> <span class="n">of</span> <span class="n">each</span> <span class="n">element</span>
  <span class="n">RIGHT</span>   <span class="n">string</span> <span class="n">to</span> <span class="n">place</span> <span class="n">at</span> <span class="n">right</span> <span class="n">of</span> <span class="n">each</span> <span class="n">element</span>
  <span class="n">TRM</span>     <span class="n">option</span> <span class="n">to</span> <span class="n">trim</span> <span class="n">each</span> <span class="n">element</span> <span class="n">of</span> <span class="n">STR</span> <span class="n">of</span> <span class="n">trailing</span> <span class="n">spaces</span><span class="o">.</span> <span class="n">Defaults</span> <span class="n">to</span> <span class="o">.</span><span class="n">TRUE</span><span class="o">.</span>
</code></pre></div>

<h2>RESULT</h2>
<div class="codehilite"><pre><span></span><code>  <span class="n">STRING</span>  <span class="n">CHARACTER</span> <span class="n">variable</span> <span class="n">composed</span> <span class="n">of</span> <span class="n">all</span> <span class="n">of</span> <span class="n">the</span> <span class="n">elements</span> <span class="n">of</span> <span class="n">STR</span><span class="p">()</span> <span class="n">appended</span> <span class="n">together</span>
          <span class="n">with</span> <span class="n">the</span> <span class="n">optional</span> <span class="n">separator</span> <span class="n">SEP</span> <span class="n">placed</span> <span class="n">between</span> <span class="n">the</span> <span class="n">elements</span><span class="o">.</span>
</code></pre></div>

<h2>EXAMPLE</h2>
<div class="codehilite"><pre><span></span><code><span class="nt">Sample</span> <span class="nt">program</span><span class="o">:</span>

   <span class="nt">program</span> <span class="nt">demo_join</span>
   <span class="nt">use</span> <span class="nt">M_strings</span><span class="o">,</span> <span class="nt">only</span><span class="o">:</span> <span class="nt">join</span>
   <span class="nt">implicit</span> <span class="nt">none</span>
   <span class="nt">character</span><span class="o">(</span><span class="nt">len</span><span class="o">=:),</span><span class="nt">allocatable</span>  <span class="o">::</span> <span class="nt">s</span><span class="o">(:)</span>
   <span class="nt">character</span><span class="o">(</span><span class="nt">len</span><span class="o">=:),</span><span class="nt">allocatable</span>  <span class="o">::</span> <span class="nt">out</span>
   <span class="nt">integer</span>                       <span class="o">::</span> <span class="nt">i</span>
      <span class="nt">s</span><span class="o">=</span><span class="cp">[</span><span class="nx">character</span><span class="p">(</span><span class="n">len</span><span class="o">=</span><span class="mi">10</span><span class="p">)</span> <span class="p">::</span> <span class="s1">&#39;United&#39;</span><span class="p">,</span><span class="s1">&#39; we&#39;</span><span class="p">,</span><span class="s1">&#39; stand,&#39;</span><span class="p">,</span><span class="s1">&#39; divided&#39;</span><span class="p">,</span><span class="s1">&#39; we fall.&#39;</span><span class="cp">]</span>
      <span class="nt">out</span><span class="o">=</span><span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="nt">out</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">trm</span><span class="o">=</span><span class="p">.</span><span class="nc">false</span><span class="o">.)</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="o">(</span><span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">trm</span><span class="o">=</span><span class="p">.</span><span class="nc">false</span><span class="o">.,</span><span class="nt">sep</span><span class="o">=</span><span class="s1">&#39;|&#39;</span><span class="o">),</span><span class="nt">i</span><span class="o">=</span><span class="nt">1</span><span class="o">,</span><span class="nt">3</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">sep</span><span class="o">=</span><span class="s1">&#39;&lt;&gt;&#39;</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">sep</span><span class="o">=</span><span class="s1">&#39;;&#39;</span><span class="o">,</span><span class="nt">left</span><span class="o">=</span><span class="s1">&#39;</span><span class="cp">[</span><span class="s1">&#39;,right=&#39;</span><span class="cp">]</span><span class="s1">&#39;</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">left</span><span class="o">=</span><span class="s1">&#39;</span><span class="cp">[</span><span class="s1">&#39;,right=&#39;</span><span class="cp">]</span><span class="s1">&#39;</span><span class="o">)</span>
      <span class="nt">write</span><span class="o">(*,</span><span class="s1">&#39;(a)&#39;</span><span class="o">)</span> <span class="nt">join</span><span class="o">(</span><span class="nt">s</span><span class="o">,</span><span class="nt">left</span><span class="o">=</span><span class="s1">&#39;&gt;&gt;&#39;</span><span class="o">)</span>
   <span class="nt">end</span> <span class="nt">program</span> <span class="nt">demo_join</span>
</code></pre></div>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-str"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong>(:)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sep"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>sep</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-trm"></span>logical,</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>trm</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-left"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>left</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-right"></span>character(len=*),</td>
  <td>intent(in),</td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>right</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-string%7E3"></span>character(len=:),
  allocatable</small></h3>
    
    
    
    
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>